Bug 1415696 - Add check for all services after Undercloud configuration completes
Summary: Add check for all services after Undercloud configuration completes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Dan Macpherson
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 13:09 UTC by Nikhil Shetty
Modified: 2017-06-19 13:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-19 13:27:16 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Nikhil Shetty 2017-01-23 13:09:44 UTC
Description of problem:
We need to specify that once Undercloud installation is complete, All the services are set to auto start on reboot
We also need to specify command to check All services are running in RHOS10

Version-Release number of selected component (if applicable): RHOS 10



Actual results:
 The configuration script generates two files when complete:

    undercloud-passwords.conf - A list of all passwords for the director’s services.
    stackrc - A set of initialization variables to help you access the director’s command line tools. 


Expected results: 
 Once the Installation of Undercloud is complete, the configuration script generates two files when complete:

    undercloud-passwords.conf - A list of all passwords for the director’s services.
    stackrc - A set of initialization variables to help you access the director’s command line tools. 

It enables all openstack Services at auto-start . Following command and output lists all undercloud services available on boot.

[stack@instack ~]# sudo systemctl |grep -i openstack |egrep -v system-openstack 

neutron-dhcp-agent.service                                                               loaded active running   OpenStack Neutron DHCP Agent
neutron-openvswitch-agent.service                                                        loaded active running   OpenStack Neutron Open vSwitch Agent
neutron-ovs-cleanup.service                                                              loaded active exited    OpenStack Neutron Open vSwitch Cleanup Utility
neutron-server.service                                                                   loaded active running   OpenStack Neutron Server
openstack-aodh-evaluator.service                                                         loaded active running   OpenStack Alarm evaluator service
openstack-aodh-listener.service                                                          loaded active running   OpenStack Alarm listener service
openstack-aodh-notifier.service                                                          loaded active running   OpenStack Alarm notifier service
openstack-ceilometer-central.service                                                     loaded active running   OpenStack ceilometer central agent
openstack-ceilometer-collector.service                                                   loaded active running   OpenStack ceilometer collection service
openstack-ceilometer-notification.service                                                loaded active running   OpenStack ceilometer notification agent
openstack-glance-api.service                                                             loaded active running   OpenStack Image Service (code-named Glance) API server
openstack-glance-registry.service                                                        loaded active running   OpenStack Image Service (code-named Glance) Registry server
openstack-heat-api-cfn.service                                                           loaded active running   Openstack Heat CFN-compatible API Service
openstack-heat-api.service                                                               loaded active running   OpenStack Heat API Service
openstack-heat-engine.service                                                            loaded active running   Openstack Heat Engine Service
openstack-ironic-api.service                                                             loaded active running   OpenStack Ironic API service
openstack-ironic-conductor.service                                                       loaded active running   OpenStack Ironic Conductor service
openstack-ironic-inspector-dnsmasq.service                                               loaded active running   PXE boot dnsmasq service for Ironic Inspector
openstack-ironic-inspector.service                                                       loaded active running   Hardware introspection service for OpenStack Ironic
openstack-mistral-api.service                                                            loaded active running   Mistral API Server
openstack-mistral-engine.service                                                         loaded active running   Mistral Engine Server
openstack-mistral-executor.service                                                       loaded active running   Mistral Executor Server
openstack-nova-api.service                                                               loaded active running   OpenStack Nova API Server
openstack-nova-cert.service                                                              loaded active running   OpenStack Nova Cert Server
openstack-nova-compute.service                                                           loaded active running   OpenStack Nova Compute Server
openstack-nova-conductor.service                                                         loaded active running   OpenStack Nova Conductor Server
openstack-nova-scheduler.service                                                         loaded active running   OpenStack Nova Scheduler Server
openstack-swift-account-reaper.service                                                   loaded active running   OpenStack Object Storage (swift) - Account Reaper
openstack-swift-account.service                                                          loaded active running   OpenStack Object Storage (swift) - Account Server
openstack-swift-container-updater.service                                                loaded active running   OpenStack Object Storage (swift) - Container Updater
openstack-swift-container.service                                                        loaded active running   OpenStack Object Storage (swift) - Container Server
openstack-swift-object-updater.service                                                   loaded active running   OpenStack Object Storage (swift) - Object Updater
openstack-swift-object.service                                                           loaded active running   OpenStack Object Storage (swift) - Object Server
openstack-swift-proxy.service                                                            loaded active running   OpenStack Object Storage (swift) - Proxy Server
openstack-zaqar.service                                                                  loaded active running   OpenStack Message Queuing Service (code-named Zaqar) Server
openstack-zaqar@1.service                                                                loaded active running   OpenStack Message Queuing Service (code-named Zaqar) Server Instance 1

Comment 1 Dan Macpherson 2017-02-27 07:10:27 UTC
Hi Nikhil,

I've added the command to check the OpenStack service post undercloud configuration:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/10/html-single/director_installation_and_usage/#sect-Configuring_the_Director

Was there anything further required for this BZ?

Comment 2 Nikhil Shetty 2017-02-27 07:16:31 UTC
Hi Dan,

Would it be possible to add the command outputs also to the Page?

Comment 3 Dan Macpherson 2017-05-15 04:36:51 UTC
Hi Hikhil,

Sorry for the long wait in response to this BZ.

I think including the output might be overkill, and due to the screen width of our documentation it might look poorly formatted. I think we can safely omit this information.

Was there anything else?

- Dan

Comment 4 Nikhil Shetty 2017-05-29 11:17:41 UTC
Hi Dan,

Atleast providing the list of Services would be great as it would make it easy to understand that the Undercloud has been successfully deployed.

Please, do let me know if we can at least add the List of Services, not the explanation.

-Nikhil Shetty

Comment 5 Dan Macpherson 2017-05-29 14:41:46 UTC
Hi Nikhil,

So, there's a component listing in the introduction:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/11/html/director_installation_and_usage/chap-introduction#sect-Undercloud

Beyond that, I'm not sure how adding a full list of services would provide any additional useful information to the user since the installation script starts each relevant service and if a service fails to start, then the installation reports an error with which service failed. The script also report if the undercloud installation was successful, which I think is the best way to determine a successful undercloud deployment.

Does this rationale make sense? Was there anything you wanted to add?

Comment 6 Nikhil Shetty 2017-06-19 12:57:55 UTC
Hi Dan,

No More additional points form my End. You could close this bug

Comment 7 Dan Macpherson 2017-06-19 13:27:16 UTC
Thanks, Nikhil.


Note You need to log in before you can comment on or make changes to this bug.